package edu.washington.cs.rfid.mstreams.data;

public class TaggedEntity implements Comparable<TaggedEntity> {

   public long   tag;
   public String name;
   public String streamKey;
   
   //--//
   
   /**
    * Creates a new TaggedEntity.
    * @param tag
    */
   public TaggedEntity(long tag, String name, String streamKey){
      this.tag       = tag;
      this.name      = name;
      this.streamKey = streamKey;
   }
   
   
   public int compareTo(TaggedEntity t){
      int result = 0;
      
      if(this.tag > t.tag){
         result = 1;
      } else if(this.tag < t.tag){
         result = -1;
      }
      return result;
   }
}
