package edu.washington.cs.rfid.mstreams.schema;

import storageManager.schema.StreamSchema;
import storageManager.schema.Attribute.AttributeType;

public class BitmaskStreamSchema extends StreamSchema {

   public static String BITMASK_STREAM_SCHEMA_NAME = "BitmaskSchema";
   public static String BITMASK_ATTRIB_BITMASK     = "Bitmask";
   
   //--//
   
   public BitmaskStreamSchema() {
      
      // Schema name
      this._schemaName = BitmaskStreamSchema.BITMASK_STREAM_SCHEMA_NAME;
      
      // Attribute names
      this._attribNames    = new String[1];
      this._attribNames[0] = BitmaskStreamSchema.BITMASK_ATTRIB_BITMASK;
      
      // Attribute types
      this._attribTypes    = new AttributeType[1];
      this._attribTypes[0] = AttributeType.INT;
   }
}
