package edu.washington.cs.rfid.mstreams.schema;

import storageManager.schema.StreamSchema;
import storageManager.schema.Attribute.AttributeType;

public class ParticleFilterStreamSchema extends StreamSchema {

	public static String RFID_STREAM_SCHEMA_NAME = "Rfid";
	public static String RFID_ATTRIB_TAG_ID      = "TagID";
	public static String RFID_ATTRIB_NODE        = "Node";
	
	//--//
	
	public ParticleFilterStreamSchema(){
		// Schema name
		this._schemaName = ParticleFilterStreamSchema.RFID_STREAM_SCHEMA_NAME;
		
		// Attribute names
		this._attribNames    = new String[2];
		this._attribNames[0] = ParticleFilterStreamSchema.RFID_ATTRIB_TAG_ID;
		this._attribNames[1] = ParticleFilterStreamSchema.RFID_ATTRIB_NODE;
		
		// Attribute types
		this._attribTypes    = new AttributeType[2];
		this._attribTypes[0] = AttributeType.LONG;
		this._attribTypes[1] = AttributeType.LONG;
	}
}
