package edu.washington.cs.rfid.map.client.data.cache;

import com.google.gwt.user.client.rpc.IsSerializable;


public class DefaultMapImages implements IsSerializable {

   //----------------------------- PARTICLES ---------------------------------
   
   // Color names for particles
   public static final String BLUE_PARTICLE       = "blue-particle";
   public static final String BLUE_GREEN_PARTICLE = "blue-green-particle";
   public static final String ORANGE_PARTICLE     = "orange-particle";
   public static final String PINK_PARTICLE       = "pink-particle";
   public static final String PURPLE_PARTICLE     = "purple-particle";
   public static final String RED_PARTICLE        = "red-particle";
   public static final String YELLOW_PARTICLE     = "yellow-particle";
   
   // Image files of varying opacity for particles
   public static final String[] ICONS_URL_BLUE_PARTICLES = 
      new String[]{"particle-blue-10.png",
                   "particle-blue-30.png",
                   "particle-blue-50.png",
                   "particle-blue-70.png",
                   "particle-blue-90.png",
                   "particle-blue-100.png",
                  };
   
   public static final String[] ICONS_URL_BLUE_GREEN_PARTICLES = 
      new String[]{"particle-blue-green-10.png",
                   "particle-blue-green-30.png",
                   "particle-blue-green-50.png",
                   "particle-blue-green-70.png",
                   "particle-blue-green-90.png",
                   "particle-blue-green-100.png",
                  };
   
   public static final String[] ICONS_URL_ORANGE_PARTICLES = 
      new String[]{"particle-orange-10.png",
                   "particle-orange-30.png",
                   "particle-orange-50.png",
                   "particle-orange-70.png",
                   "particle-orange-90.png",
                   "particle-orange-100.png",
                  };
   
   public static final String[] ICONS_URL_PINK_PARTICLES = 
      new String[]{"particle-pink-10.png",
                   "particle-pink-30.png",
                   "particle-pink-50.png",
                   "particle-pink-70.png",
                   "particle-pink-90.png",
                   "particle-pink-100.png",
                  };
   
   public static final String[] ICONS_URL_PURPLE_PARTICLES = 
      new String[]{"particle-purple-10.png",
                   "particle-purple-30.png",
                   "particle-purple-50.png",
                   "particle-purple-70.png",
                   "particle-purple-90.png",
                   "particle-purple-100.png",
                  };
   
   public static final String[] ICONS_URL_RED_PARTICLES = 
      new String[]{"particle-red-10.png",
                   "particle-red-30.png",
                   "particle-red-50.png",
                   "particle-red-70.png",
                   "particle-red-90.png",
                   "particle-red-100.png",
                  };
   
   public static final String[] ICONS_URL_YELLOW_PARTICLES = 
      new String[]{"particle-yellow-10.png",
                   "particle-yellow-30.png",
                   "particle-yellow-50.png",
                   "particle-yellow-70.png",
                   "particle-yellow-90.png",
                   "particle-yellow-100.png",
                  };

   //--//
   
   
   
   
   //----------------------------- ENTITIES ---------------------------------
   
   public static final String BLUE_PERSON             = "person-blue";
   public static final String BLUE_GREEN_PERSON       = "person-blue-green";
   public static final String ORANGE_PERSON           = "person-orange";
   public static final String PINK_PERSON             = "person-pink";
   public static final String PURPLE_PERSON           = "person-purple";
   public static final String RED_PERSON              = "person-red";
   public static final String YELLOW_PERSON           = "person-yellow";
   public static final String BACKPACK                = "backpack";
   public static final String BALL                    = "ball";
   public static final String BIKE_HELMET             = "bike-helmet";
   public static final String BINDER                  = "binder";
   public static final String BOOK                    = "book";
   public static final String CAMCORDER               = "camcorder";
   public static final String CAMERA                  = "camera";
   public static final String MOP                     = "mop";
   public static final String MOUSE                   = "mouse";
   public static final String MUG                     = "mug";
   public static final String NOTEBOOK                = "notebook";
   
   public static final String ICON_BLUE_PERSON        = "person-blue.png";         // 20x29
   public static final String ICON_BLUE_GREEN_PERSON  = "person-blue-green.png";   // 20x29
   public static final String ICON_ORANGE_PERSON      = "person-orange.png";       // 20x29
   public static final String ICON_PINK_PERSON        = "person-pink.png";         // 20x29
   public static final String ICON_PURPLE_PERSON      = "person-purple.png";       // 20x29
   public static final String ICON_RED_PERSON         = "person-red.png";          // 20x29
   public static final String ICON_YELLOW_PERSON      = "person-yellow.png";       // 20x29
   public static final String ICON_BACKPACK           = "backpack.png";            // 48x48
   public static final String ICON_BALL               = "ball.png";                // 48x48
   public static final String ICON_BIKE_HELMET        = "bike-helmet.png";         // 48x48
   public static final String ICON_BINDER             = "binder.png";              // 96x96
   public static final String ICON_BOOK               = "book.png";                // 48x48
   public static final String ICON_CAMCORDER          = "camcorder.png";           // 64x64
   public static final String ICON_CAMERA             = "camera.png";              // 48x48
   public static final String ICON_MOP                = "mop.png";                 // 50x76
   public static final String ICON_MOUSE              = "mouse.png";               // 48x48
   public static final String ICON_MUG                = "mug.png";                 // 96x96
   public static final String ICON_NOTEBOOK           = "notebook.png";            // 64x64

   
   //--//
   
   
   public DefaultMapImages(){}
}
