package edu.washington.cs.rfid.cascadia.panoramic.client;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.VerticalPanel;

import edu.washington.cs.rfid.cascadia.panoramic.client.data.TracePack;
import edu.washington.cs.rfid.cascadia.playback.client.PlaybackWidget.PlaybackTimer;
import edu.washington.cs.rfid.cascadia.playback.client.ui.PlaybackPanel;
import edu.washington.cs.rfid.cascadia.timeline.client.ui.ScenicTimelinePanel;

/**
 * A panel containing the verification widgets: Timeline and Playback.
 * @author evan
 */
public class VerificationPanel extends VerticalPanel {
   
   //--//
   
   private final GreetingServiceAsync clientProxy = GWT.create(GreetingService.class);
   
   //--//
   
   protected HorizontalPanel     timelineStrip;
   protected ScenicTimelinePanel timelinePanel;
   protected PlaybackPanel       playbackPanel;
   
   protected TracePack           curTracePack;
   public    int                 curTracePackNum;
   public    PlaybackTimer       playbackTimer;
   
   //--//
   
   public VerificationPanel(){
      
   }
}
