package edu.washington.cs.rfid.cascadia.timeline.client.event;

import java.util.ArrayList;

import com.google.gwt.user.client.rpc.IsSerializable;

public class ScenicCompleteEventResult extends    ScenicEventResult 
                                       implements IsSerializable {
   
   public ArrayList<ScenicEventResult> subSequenceEvents;
   
   
   public ScenicCompleteEventResult(){
      this.subSequenceEvents = null;
   }
   
   
   public ScenicCompleteEventResult(String                       title, 
                                    String                       description, 
                                    String                       streamKey, 
                                    ArrayList<ScenicEventResult> subEvents, 
                                    ArrayList<ScenicEventResult> subSequenceEvents){
      super(title,description,streamKey,subEvents);
      this.subSequenceEvents = subSequenceEvents;
   }
   
   
   /**
    * Gets and returns the set of Scenes below this event.
    * @return
    */
   public ArrayList<ScenicEventResult> getSubSequences(){
      return this.subSequenceEvents;
   }
   
   
   /**
    * Gets and returns the set of Scenes below this event.
    * @return
    */
   public ArrayList<ScenicEventResult> getScenes(){
      return this.subEvents;
   }
}
