package edu.washington.cs.rfid.cascadia.timeline.client.filter;

import java.util.List;

import edu.washington.cs.rfid.cascadia.timeline.client.event.ScenicTimelineEvent;

public class EventStreamFilter implements IScenicFilterMatcher {

   public List<ScenicTimelineEvent> eventStream;
   
   //--//
   
   /**
    * Creates a new EventStreamFilter.
    * @param eventStream
    */
   public EventStreamFilter(List<ScenicTimelineEvent> eventStream){
      this.eventStream = eventStream;
   }
   
   
   /**
    * Does the filtering.
    */
   public boolean doFilter(ScenicTimelineEvent event){
      boolean match = false;
      String  id    = event.eventId;
      
      for(ScenicTimelineEvent e : this.eventStream){
         if(e.eventId.equals(id)){
            match= true;
            break;
         }
      }
      return match;
   }
}
