package edu.washington.cs.rfid.cascadia.timeline.client.ui;

import com.google.gwt.core.client.JavaScriptObject;

public class ZoomStep extends JavaScriptObject {
   
   protected ZoomStep(){
       super();
   }
   
   public static ZoomStep create(){
       return ZoomStep.nativeCreate();
   }
   
   public static ZoomStep create(int pixelsPerInterval, int unit){
      ZoomStep step = ZoomStep.create();
      step.setPixelsPerInterval(pixelsPerInterval);
      step.setUnit(unit);
      return step;
   }
   
   protected static native ZoomStep nativeCreate()/*-{
      return new Object;
   }-*/;
   
   
   public final int getPixelsPerInterval(){
      return JavaScriptObjectHelper.getAttributeAsInt(this, "pixelsPerInterval");
   }
   
   public final int getUnit(){
      return JavaScriptObjectHelper.getAttributeAsInt(this, "unit");
   }
   
   public final void setPixelsPerInterval(int value){
      JavaScriptObjectHelper.setAttribute(this, "pixelsPerInterval", value);
   }
   
   public final void setUnit(int value){
      JavaScriptObjectHelper.setAttribute(this, "unit", value);
   }
}
