package edu.washington.cs.rfid.cascadia.scenic.client.data;

/**
 * Data associated with an Actor in the Scenic iconic language.
 * 
 * @author evan
 */
public class Actor {
   
   protected String id;
   protected int    actorNum;
   protected String name;
   protected String imgUrl;
   
   //--//
   
   /**
    * Creates a new Actor.
    * 
    * @param id
    * @param actorNum
    * @param name
    * @param imgUrl
    */
   public Actor(String id, int actorNum, String name, String imgUrl){
      this.id       = id;
      this.actorNum = actorNum;
      this.name     = name;
      this.imgUrl   = imgUrl;
   }
   
   public String getId(){
      return this.id;
   }
   
   public int getNum(){
      return this.actorNum;
   }
   
   public String getName(){
      return this.name;
   }
   
   public String getImgUrl(){
      return this.imgUrl;
   }
}
