package edu.washington.cs.rfid.cascadia.scenic.client.data;

public class Connector {

   public Actor     actor;
   public Primitive primitive;
   
   //--//
   
   /**
    * Creates a new <code>Connector</code> between the specified 
    * <code>Actor</code> and <code>Primitive</code>.
    * 
    * @param actor
    * @param primitive
    */
   public Connector(Actor actor, Primitive primitive){
      this.actor     = actor;
      this.primitive = primitive;
   }
   
   
   /**
    * Gets and English string representing this connector;
    */
   public String toString(){
      return this.actor.name + " connects with " + this.primitive.name;
   }
}
