package edu.washington.cs.rfid.cascadia.scenic.client.data;

import java.io.Serializable;

import com.google.gwt.user.client.rpc.IsSerializable;

public class EventTemplate implements IsSerializable, Serializable {
   
   public String title;
   public String description;
   public String exampleApp;
   public String exampleScenario;
   public String xml;
   
   //--//
   
   /**
    * Default constuctor.
    */
   public EventTemplate(){
      this.title           = null;
      this.description     = null;
      this.exampleApp      = null;
      this.exampleScenario = null;
      this.xml             = null;
   }
   
   
   /**
    * Creates a new <code>Template</code>.
    * @param description
    * @param xml
    */
   public EventTemplate(String title, String description, String exampleApp, String exampleScenario, String xml){
      this.title           = title;
      this.description     = description;
      this.exampleApp      = exampleApp;
      this.exampleScenario = exampleScenario;
      this.xml             = xml;
   }
   
}
