package edu.washington.cs.rfid.cascadia.scenic.client.ui;

import com.google.gwt.user.client.Command;
import com.google.gwt.user.client.DOM;
import com.google.gwt.user.client.ui.MenuBar;
import com.google.gwt.user.client.ui.PopupPanel;
import com.google.gwt.user.client.ui.VerticalPanel;

public class ContextMenu extends PopupPanel {

   private VerticalPanel panel;
   private MenuBar       menu;
   
   //--//
   
   public ContextMenu(){
      super(true);
      
      this.panel = new VerticalPanel();
      this.menu  = new MenuBar(true);
      
      DOM.setStyleAttribute(this.panel.getElement(), "backgroundColor", "#999999");
      
      this.panel.setSpacing(1);
      this.panel.add(this.menu);
      
      this.setWidget(this.panel);
   }
   
   public void addItem(String text, Command cmd){
      this.menu.addItem(text, cmd);
   }
}
