package edu.washington.cs.rfid.map.client.ui;

import com.google.gwt.maps.client.CopyrightCollection;
import com.google.gwt.maps.client.TileLayer;
import com.google.gwt.maps.client.geom.Point;

/**
 * Bug in Google code: is if there isn't a proper defined base layer it wont
 * display images. So we just show blank tiles as the main layer for all 
 * requested URLS
 * @author gbc3, evan
 *
 */
public class BlankTileLayer extends TileLayer {

	public BlankTileLayer(CopyrightCollection copyrights, 
	                      int                 minResolution,
	                      int                 maxResolution) {
		super(copyrights, minResolution, maxResolution);		
	}

	@Override
	public double getOpacity() {
		return 1;
	}

	@Override
	public String getTileURL(Point tile, int zoomLevel) {
		return "http://rfid.cs.washington.edu/tiles/blank.png";
	}

	@Override
	public boolean isPng() {
		return true;
	}
}
