package edu.washington.cs.rfid.cascadia.panoramic.client.data;

import java.util.ArrayList;
import java.util.List;

import com.google.gwt.user.client.rpc.IsSerializable;


public class CompactMStream implements IsSerializable {
   
   public String                      key;
   public List<CompactMStreamElement> stream;
   
   public CompactMStream(){
      this.key    = null;
      this.stream = null;
   }
   
   public CompactMStream(String key){
      this.key    = key;
      this.stream = new ArrayList<CompactMStreamElement>();
   }
   
   public CompactMStream(String key, List<CompactMStreamElement> stream){
      this.key    = key;
      this.stream = stream;
   }
   
   public CompactMStream(CompactMStream mStream){
      this.key = mStream.key;
      this.stream = new ArrayList<CompactMStreamElement>();
      
      for(CompactMStreamElement t : mStream.stream){
         this.stream.add(new CompactMStreamElement(t));
      }
   }
   
   public void add(CompactMStreamElement m){
      this.stream.add(m);
   }
}
