package edu.washington.cs.rfid.cascadia.panoramic.client.data;

import java.util.ArrayList;
import java.util.List;

import com.google.gwt.user.client.rpc.IsSerializable;


public class CompactTreStream implements IsSerializable {

   public String           key;
   public List<CompactTre> stream;
   
   //--//
   
   public CompactTreStream(){
      this.key = null;
      this.stream = null;
   }
   
   public CompactTreStream(String key){
      this.key    = key;
      this.stream = new ArrayList<CompactTre>();
   }
   
   public CompactTreStream(String key, List<CompactTre> stream){
      this.key    = key;
      this.stream = stream;
   }
   
   public CompactTreStream(CompactTreStream treStream){
      this.key = treStream.key;
      this.stream = new ArrayList<CompactTre>();
      
      for(CompactTre t : treStream.stream){
         this.stream.add(new CompactTre(t));
      }
   }
   
   public void add(CompactTre t){
      this.stream.add(t);
   }
}
