package edu.washington.cs.rfid.cascadia.scenic.client.data;

import java.util.Vector;

public class Primitive {

	protected String        id;
	protected int    	      primitiveNum;
	protected String        name;
	protected String        imgUrl;
	
	protected Vector<Actor> actors;
	
	//--//
	
	/**
	 * Creates a new primitive
	 * 
	 * @param id
	 * @param primitiveNum
	 * @param name
	 * @param imgUrl
	 */
	public Primitive(String id, int primitiveNum, String name, String imgUrl){
		this.id           = id;
		this.primitiveNum = primitiveNum;
		this.name         = name;
		this.imgUrl       = imgUrl;
		this.actors       = new Vector<Actor>();
	}
	
	public void addActor(Actor actor){
		this.actors.add(actor);
	}
	
	public String getId(){
		return this.id;
	}
	
	public int getNum(){
		return this.primitiveNum;
	}
	
	public String getName(){
		return this.name;
	}
	
	public String getImgUrl(){
		return this.imgUrl;
	}
}
