package edu.washington.cs.rfid.cascadia.scenic.client.ui;

import com.allen_sauer.gwt.dnd.client.DragContext;
import com.allen_sauer.gwt.dnd.client.drop.SimpleDropController;
import com.google.gwt.user.client.ui.Widget;

public class DefaultDropController extends SimpleDropController {
   
   public DefaultDropController(Widget dropTarget){
      super(dropTarget);
   }
   
   /**
    * Tells all scenes that a particular draggable is going to be deleted. 
    */
   @Override
   public void onDrop(DragContext context){
      
      ScenicToolbar toolbar = ScenicToolbar.getInstance();
      Widget        w       = context.draggable;
      
      toolbar.sequencePanel.signalWidgetDeletion(w);
      context.draggable.removeFromParent();
      super.onDrop(context);
   }
}
