package edu.washington.cs.rfid.cascadia.timeline.client.event;

import java.util.ArrayList;

import com.google.gwt.user.client.rpc.IsSerializable;

public class ScenicEventResult implements IsSerializable {

   public String                  title;
   public String                  description;
   public String                  streamKey;
   public ArrayList<ScenicEventResult> subEvents;
   
   
   public ScenicEventResult(){
      this.title         = null;
      this.description   = null;
      this.streamKey     = null;
      this.subEvents     = null;
   }
   
   public ScenicEventResult(String                       title, 
                            String                       description, 
                            String                       streamKey, 
                            ArrayList<ScenicEventResult> subEvents){
      this.title         = title;
      this.description   = description;
      this.streamKey     = streamKey;
      this.subEvents     = subEvents;
   }
   
   
   /**
    * Gets the size of the tree rooted at this node.
    * @return
    */
   public int getTreeSize(){
      int size = 0;
      
      for(ScenicEventResult r : this.subEvents){
         size += r.getTreeSize();
      }
      return size + 1;
   }
}
