package edu.washington.cs.rfid.cascadia.timeline.client.event;

import java.util.ArrayList;
import java.util.HashMap;

import com.google.gwt.user.client.rpc.IsSerializable;

public class ScenicEventResultBundle implements IsSerializable {

   public String                                         templateXml;
   public String                                         startDate;
   public ScenicCompleteEventResult                      result;
   public HashMap<String,ArrayList<ScenicTimelineEvent>> keyToStreamMap;
   
   public ScenicEventResultBundle(){
      this.templateXml    = null;
      this.startDate      = null;
      this.result         = null;
      this.keyToStreamMap = null;
   }
   
   public ScenicEventResultBundle(String                                         templateXml,
                                  String                                         startDate,
                                  ScenicCompleteEventResult                      result,
                                  HashMap<String,ArrayList<ScenicTimelineEvent>> keyToStreamMap){
      this.templateXml    = templateXml;
      this.startDate      = startDate;
      this.result         = result;
      this.keyToStreamMap = keyToStreamMap;
   }
}
