package edu.washington.cs.rfid.cascadia.timeline.client.filter;

import edu.washington.cs.rfid.cascadia.timeline.client.event.ScenicTimelineEvent;

/**
 * A filter that filters out all events.
 * @author evan
 */
public class NoStreamFilter implements IScenicFilterMatcher {

   public NoStreamFilter(){
      // Do nothing
   }
   
   /**
    * Does the filtering.
    */
   public boolean doFilter(ScenicTimelineEvent event){
      return false;
   }
}