package edu.washington.cs.rfid.map.client.ui.overlay;

import com.google.gwt.maps.client.overlay.Overlay;

public class OverlayWrapper {

	public static final int TYPE_ANTENNA           = -1;
	public static final int TYPE_READER            = -2;
	public static final int TYPE_CONNECTIVITY_EDGE = -3;
	public static final int TYPE_PARTICLE          = -4;
	public static final int TYPE_ENTITY            = -5;
	
	//--//
	
	public final Overlay overlay;
	public final int     typeID;
	public final String  floor;
	
	//--//
	
	/**
	 * A wrapper with metadata on an Overlay so that it can filter
	 * objects appropriately.
	 * 
	 * @param overlay
	 * @param typeID
	 */
	public OverlayWrapper(Overlay overlay, int typeID, String floor) {
		this.overlay = overlay;
		this.typeID  = typeID;
		this.floor   = floor;
	}
}
